"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "convertLessError", {
    enumerable: true,
    get: function() {
        return convertLessError;
    }
});
const convertLessError = (error)=>{
    const sourceLine = error.extract.filter(Boolean);
    const lineText = sourceLine.length === 3 ? sourceLine[1] : sourceLine[0];
    return {
        text: error.message || 'less compile error',
        location: {
            namespace: 'file',
            file: error.filename,
            line: error.line,
            column: error.column,
            lineText
        }
    };
};
