import type { Plugin } from 'esbuild';
import { type CSSModulesConfig } from 'lightningcss';
import { convertLessError } from './less-utils.js';
import { transformLess } from './transform-less.js';
export { transformLess, convertLessError };
type StyleLoaderOptions = {
    filter?: RegExp;
    namespace?: string[];
    cssModules?: CSSModulesConfig;
    browsers?: string;
    publicPath?: string;
};
export declare const styleLoader: (options?: StyleLoaderOptions) => Plugin;
